Foxit PDF RDK

Static Public Member Functions | Static Public Attributes | List of all members
Combination Class Reference
Inheritance diagram for Combination:

## Static Public Member Functions
static | StartCombineDocuments (dest_file_path, document_array, options, pause)
| Start to combine PDF files. More...
static | StartCombineDocuments (dest_file_path, document_array, options, pause)
| Start to combine PDF files. More...
static | StartCombineDocuments (fdest_file, document_array, options, pause)
| Start to combine PDF files. More...

## Static Public Attributes
static | e_CombineDocsOptionAcroformRename
| If set, that means fields with same name will be renamed in combined result PDF file.
static | e_CombineDocsOptionBookmark
| Enumeration for options used for combining PDF files. More...
static | e_CombineDocsOptionDuplicateStream
| If set, that means duplicate stream objects from source PDF files will be outputted to combined result PDF file.
static | e_CombineDocsOptionMarkInfos
| If set, that means "MarkInfo" of source PDF files will be outputted to combined result PDF file.
static | e_CombineDocsOptionNames
| If set, that means "Dests" name trees and "EmbeddedFiles" name trees of source PDF files will be outputted to combined result PDF file.
static | e_CombineDocsOptionObjectStream
| If set, that means object streams will be used to generate combined result PDF file in order to reduce result file size.
static | e_CombineDocsOptionOCProperties
| If set, that means "OCProperties" of source PDF files will be outputted to combined result PDF file.
static | e_CombineDocsOptionOutputIntents
| If set, that means output intents of source PDF files will be outputted to combined result PDF file.
static | e_CombineDocsOptionPageLabels
| If set, that means page labels of source PDF files will be outputted to combined result PDF file.
static | e_CombineDocsOptionStructrueTree
| If set, that means structure trees of source PDF files will be outputted to combined result PDF file.

## Additional Inherited Members
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class can be used to combine several PDF files into one PDF file.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ StartCombineDocuments() [1/3]

static Combination.StartCombineDocuments | ( | dest_file_path | ,
|  | document_array | ,
|  | options | ,
|  | pause |
| ) |  |
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file_path | A full path to save the combined result PDF file. This should not be an empty string.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function Progressive.GetRateOfProgress. If the rate is not 100 yet, call function Progressive.Continue to continue the progress until the progress is finished.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ StartCombineDocuments() [2/3]

static Combination.StartCombineDocuments | ( | dest_file_path | ,
|  | document_array | ,
|  | options | ,
|  | pause |
| ) |  |
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file_path | A full path to save the combined result PDF file. This should not be an empty string.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function Progressive.GetRateOfProgress. If the rate is not 100 yet, call function Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartCombineDocuments() [3/3]

static Combination.StartCombineDocuments | ( | fdest_file | ,
|  | document_array | ,
|  | options | ,
|  | pause |
| ) |  |
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file | A FileWriterCallback object which is implemented by user to store the data of combined result PDF file in custom method.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function Progressive.GetRateOfProgress. If the rate is not 100 yet, call function Progressive.Continue to continue the progress until the progress is finished.

## Member Data Documentation

## ◆ e_CombineDocsOptionBookmark

Combination.e_CombineDocsOptionBookmark
| static

Enumeration for options used for combining PDF files.

Values of this enumeration can be used alone or in combination.

If set, that means bookmarks of source PDF files will be outputted to combined result PDF file.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.